AMIDIMINDER(1)

NAME
midiwala - MIDI connection tool

SYNOPSIS
midiwala view
midiwala list [options]
midiwala connect sender destination
midiwala disconnect sender destination
midiwala remove-all

DESCRIPTION
midiwala is a tool for easily viewing and managing ALSA Sequencer MIDI connections. The main tool is interactive and provides a textual user interface for viewing all ports in the system, and the connections between them. The interface provides easy commands for making and breaking connections.

The additional commands offer command line interface to the same functionality.

COMMANDS

view
    Interactive view of ports and connections in the system. Connections can be made and removed using the keyboard. This is the default operation of midiwala if no subcommand is specified. The terminal must support xterm style control sequences, which pretty much all do these days.

list [-p] [-c] [--clients] [--plain|--details] [-a] [-n]
    Output a textual list of ports, connections, and/or clients. Options

-p, --ports
    Output a list of ports

-c, --connections
    Output a list of connections

--clients
    Output a list of clients If none of the above three options are given, then ports and connections will be output.

--plain
    Output only the names, one per line. Useful for scripts

--details
    Include type and capability details for ports and clients.

-a, --all
    Include all ALSA Sequencer clients and ports. Normally clients and ports that are for system level use are omitted.

-n, --numeric
    Sort items by ALSA id number, rather than by name.

--long-port-names
    Display the unshortened port names. ALSA port names have a nasty habit of including the client name, sometimes twice, as a prefix to the port name. This just makes ports hard to read, and provides no benefit, as port names are always scoped to a given client. midiwala normally shortens port names to the useful portion. This option displays the full name.

connect sender destination

disconnect sender destination
    Make or removes a connections between two ports. The ports are specified in one of several ways:
     | Syntax | Example
    (a) | client | digitakt
    (b) | client:port-name | Launch Pad:DAW
    (c) | client:* | Launch Pad:*
     | * | *
    (d) | id:id | 128:0

    (a) This is the most common way to specify a port, with with just the client name. In this case in matches the client's first sender or destination port as needed. The client name can be any substring of the full client name (case-insensitive). Put the name in quotes to match only the whole client name (case-sensitive).

    (b) The name of the port can be specified, useful for devices that have multiple ports. Again, any substring of the port name will work. Use quotes for exact matches.

    (c) Wildcards will match all ports on a client, or all ports on all clients. Using this form can make or break multiple connections.

    (d) ALSA ID numbers can be used, but if so, must be used for both client and port. These matching rules are the same as used by midiminder profiles. See midiminder-profile(5) for details.

remove-all
    Removes all connections in the system.

Note:
    The flags -l, -c, -d, and -x can be used as aliases for list, connect, disconnect, and remove-all respectively. These match the usage of aconnect(1).

SEE ALSO
midiminder-profile(5)